## lazarus 1.4.4+dfsg

=== debian/changelog ===
lazarus (1.4.4+dfsg-2mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 20 Mar 2016 19:37:21 -0700

lazarus (1.4.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Drop requirement on fpc 3 again

 -- Paul Gevers <elbrus@debian.org>  Sun, 08 Nov 2015 05:29:39 +0100

lazarus (1.4.4+dfsg-1) experimental; urgency=medium

  [ Abou Al Montacir ]
  * Added help CSS style file to packaged files list.
  * Moved docs/* files to arch independent files default location.

  [ Paul Gevers ]
  * New upstream release
  * Drop patches applied upstream
  * Convert add-revision-inc.diff into d/rules command (it wasn't updated
    properly in the past)
  * Try to get lazarus to build reproducible
  * Build against fpc 3.0.0 while we are in experimental

 -- Paul Gevers <elbrus@debian.org>  Fri, 06 Nov 2015 12:10:56 +0100

lazarus (1.4.0+dfsg-5) unstable; urgency=medium

  * Do not write fpc linker flags when LDFLAGS is empty

 -- Graham Inggs <ginggs@debian.org>  Sat, 05 Sep 2015 21:14:30 +0200

lazarus (1.4.0+dfsg-4) unstable; urgency=medium

  * Temporarily disable '-z relro' for armel and armhf builds
    to work around problem of builds stalling (Closes: #793991)

 -- Graham Inggs <ginggs@debian.org>  Sat, 05 Sep 2015 08:31:02 +0200

=== debian/control ===
Source: lazarus
Section: devel
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Carlos Laviola <claviola@debian.org>,
           Abou Al Montacir <abou.almontacir@sfr.fr>,
           Paul Gevers <elbrus@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               fp-utils,
               fpc,
               fpc-source,
               imagemagick,
               libgtk2.0-dev,
               libqt4pas-dev,
               po-debconf,
               rdfind,
               symlinks
Vcs-Git: git://anonscm.debian.org/pkg-pascal/lazarus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/lazarus.git
Homepage: http://www.lazarus.freepascal.org

Package: lazarus-1.4.4
Architecture: all
Depends: lazarus-doc-1.4.4 (>= ${source:Version}),
         lazarus-ide-1.4.4 (>= ${source:Version}),
         lazarus-src-1.4.4 (>= ${source:Version}),
         ${misc:Depends}
Recommends: fpc,
            fpc-source
Suggests: fp-docs,
          fp-utils
Provides: lazarus
Breaks: lazarus (<< 0.9.28.2-13)
Replaces: lazarus (<< 0.9.18.2-13)
Description: IDE for Free Pascal - suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage pulls in all the packages needed to have a typical
 Lazarus installation.

Package: lazarus-src-1.4.4
Architecture: all
Depends: ${misc:Depends}
Suggests: lazarus-ide-1.4.4
Provides: lazarus-src
Breaks: lazarus-src (<< 0.9.28.2-13)
Replaces: lazarus-src (<< 0.9.18.2-13)
Description: IDE for Free Pascal - LCL source code
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the latest version of the source code necessary for
 the IDE code tool to work properly (retrieving declarations and navigating
 in code).

Package: lazarus-ide-1.4.4
Architecture: any
Depends: fp-compiler,
         lazarus-ide-gtk-1.4.4 | lazarus-ide-qt-1.4.4,
         lazarus-src-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            gdb,
            lcl-1.4.4
Suggests: fp-utils
Provides: lazarus-ide
Breaks: lazarus-ide (<< 0.9.28.2-13)
Replaces: lazarus-ide (<< 0.9.28.2-13)
Description: IDE for Free Pascal - common IDE files
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the common files required to run Lazarus IDE.

Package: lazarus-ide-gtk2-1.4.4
Architecture: any
Depends: lazarus-ide-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            gdb,
            lcl-1.4.4
Suggests: fp-utils
Provides: lazarus-ide,
          lazarus-ide-gtk-1.4.4,
          lazarus-ide-gtk2
Breaks: lazarus-ide (<< 0.9.28.2-13),
        lazarus-ide-gtk2 (<< 0.9.28.2-13)
Replaces: lazarus-ide (<< 0.9.28.2-13),
          lazarus-ide-gtk2 (<< 0.9.28.2-13)
Description: IDE for Free Pascal - GTK+ version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the GTK+ version of the Lazarus IDE.

Package: lazarus-ide-qt4-1.4.4
Architecture: any
Depends: lazarus-ide-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            gdb,
            lcl-1.4.4
Suggests: fp-utils
Provides: lazarus-ide,
          lazarus-ide-qt-1.4.4,
          lazarus-ide-qt4
Breaks: lazarus-ide (<< 0.9.28.2-13),
        lazarus-ide-qt4(<< 0.9.28.2-13)
Replaces: lazarus-ide (<< 0.9.28.2-13),
          lazarus-ide-qt4 (<< 0.9.28.2-13)
Description: IDE for Free Pascal - Qt version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the Qt version of the Lazarus IDE.

Package: lcl-1.4.4
Architecture: any
Depends: lcl-units-1.4.4,
         lcl-utils-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-ide-1.4.4
Suggests: gdb
Provides: lcl
Breaks: lcl (<< 0.9.28.2-13)
Replaces: lcl (<< 0.9.28.2-13)
Description: Lazarus Components Library - LCL suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage installs the full LCL and components.

Package: lcl-utils-1.4.4
Architecture: any
Depends: fp-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lazarus-ide-1.4.4,
            lcl-1.4.4
Provides: lcl-utils
Breaks: lcl-utils (<< 0.9.28.2-13)
Replaces: lcl-utils (<< 0.9.28.2-13)
Description: Lazarus Components Library - command line build tools
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains command line tools to ease building LCL based
 applications.

Package: lcl-units-1.4.4
Architecture: any
Depends: lcl-gtk2-1.4.4 (= ${binary:Version}) | lcl-qt4-1.4.4 (= ${binary:Version}),
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-ide-1.4.4
Suggests: gdb
Provides: lcl-units
Breaks: lcl-units (<< 0.9.28.2-13)
Replaces: lcl-units (<< 0.9.28.2-13)
Description: Lazarus Components Library - backend independent components
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains common components of the LCL.

Package: lcl-nogui-1.4.4
Architecture: any
Depends: fp-units-base,
         fp-units-fcl,
         fp-units-rtl,
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-ide-1.4.4
Suggests: gdb
Provides: lcl-nogui
Breaks: lcl-nogui (<< 0.9.28.2-13),
        lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Replaces: lcl-nogui (<< 0.9.28.2-13),
          lcl-units-1.2 (<=1.2~rc+dfsg-1)
Description: Lazarus Components Library - no GUI backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Lazarus

DEB_PACKAGE_NAME = lazarus
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Documentation type to use chm/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter chmdocs or htmldocs for documentation format (defaults to both)
CONVERTER=${DOCTYPE}docs chmdocs
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}docs
endif
# Define FPC
ifndef FPC
FPC=/usr/bin/fpc
endif
# Set FPCVER
FPCVER=$(shell ${FPC} -iV)

OS_TARGET=$(subst kfreebsd,freebsd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))

FPCTARGET=$(CPU_TARGET)-$(OS_TARGET)
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ')
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
endif
# Get directories
INSTALL_DIR=${CURDIR}/debian/tmp
BIN_DIR=${INSTALL_DIR}/usr/bin
LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
DOC_DIR=${INSTALL_DIR}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
SRC_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
ifndef MV
MV=mv
endif
RM:=rm -rf
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
FPCMAKE=fpcmake
endif
# Define FPCDIR if it was not set
ifndef FPCDIR
export FPCDIR=/usr/share/fpcsrc/${FPCVER}
# Set default compilation options
DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
BUILDOPTS=USESVN2REVISIONINC=0 OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
INSTALLOPTS=PREFIX=$(INSTALL_DIR)/usr
endif
ifndef LAZBUILD
export LAZBUILD=${CURDIR}/lazbuild --lazarusdir=../..
endif
# Set default compilation options
DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

LDFLAGS=$(strip $(shell dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g'))

# Temporarily disable '-z relro' for armel and armhf builds
# to work around problem of builds stalling (bug #793991)
DEB_HOST_ARCH ?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
LDFLAGS:=$(shell echo $(LDFLAGS) | sed -e 's/-z relro//g')
endif

# Until we switch to shorthand dh, we need to set this ourselves for
# reproducible builds
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

#export DH_VERBOSE=1

###################
# Clean
#

clean: clean-patched clean-make-files
	dh_clean
	# Make sure the debconf translations are always up-to-date
	debconf-updatepo

clean-patched: make-files
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=qt
	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=gtk2
	$(MAKE) -C docs/html clean
	find -regex '.*\.\(a\|or?\|so\.*\|ppu\|rsj\)' -delete

###################
# Debian files
#

debian-files: debian-files-stamp
debian-files-stamp:debian/fixdeb debian/*.in
	@echo "--- Creating/fixing *.install files"
	DEB_SUBST_PACKAGESUFFIX=${PACKAGESUFFIX} \
	$< debian/*.in
	touch debian-files-stamp

make-files: make-files-stamp
make-files-stamp:
	# Regenerate make files using fpcmake.
	find * -name Makefile.fpc -exec ${FPCMAKE} -Tall -q '{}' ';'
	touch $@

clean-make-files:
	# Remove auto-generated make files.
	find * -name Makefile.fpc -execdir sh -c '${RM} $$(basename {} .fpc)' ';'
	${RM} make-files-stamp

###################
# Arch packages
#

configure: debian-files clean-make-files make-files configure-stamp
configure-stamp:
	dh_testdir
	dh_prep
	# Add version.inc:
	echo \'$(DEB_VERSION)\' > ide/version.inc
	# For reproducible builds, we need the above file to have a fixed timestamp
	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/version.inc

	# The next line adds the revision.inc file which is missing in upstream sources
	# Normally this is a number that can be taken from inspecting the tags directory here:
	# http://svn.freepascal.org/cgi-bin/viewvc.cgi/tags/?root=lazarus
	# But let's put something there describes better what the status is.
	echo const RevisionStr = \'Debian package $(DEB_VERSION)\'\; > ide/revision.inc
	touch configure-stamp

build-arch: debian-files configure build-arch-stamp
build-arch-stamp: ${DEB_HOST_FPC_OPT}
	@echo "--- Building"
	dh_testdir
	# QT4
	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=qt
	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-qt4
	# GTK2
	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=gtk2
	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
	touch build-arch-stamp

install-arch: build-arch install-arch-stamp
install-arch-stamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_installdirs
	# create all necessary directories
	${MKDIR} ${BIN_DIR}
	${MKDIR} ${LIB_DIR}/tools
	${MKDIR} ${LIB_DIR}/components/chmhelp/lhelp
	# Install the IDE & its accessories
	${CP} -t ${LIB_DIR} \
		$(CURDIR)/lazarus-gtk2 \
		$(CURDIR)/lazarus-qt4 \
		$(CURDIR)/lazbuild \
		$(CURDIR)/startlazarus \
		$(CURDIR)/languages
	${CP} -t ${LIB_DIR}/tools \
		$(CURDIR)/tools/lazres \
		$(CURDIR)/tools/lrstolfm \
		$(CURDIR)/tools/svn2revisioninc \
		$(CURDIR)/tools/updatepofiles
	${CP} -t ${LIB_DIR}/components/chmhelp/lhelp \
		$(CURDIR)/components/chmhelp/lhelp/lhelp
	# Install the library files
	find -name debian -prune -or '(' -name lib -or -name units ')' -print | xargs ${CP} --parents -t ${LIB_DIR}
	# Remove READM.txt files from output directories
	find ${LIB_DIR} '(' -name '*.or' -or -wholename '*/lib/README.txt' ')' -delete
	# Mark package as manually compilable and install them
	for package in `find -name '*.lpk'` ; \
	do \
		${MKDIR} `dirname "${LIB_DIR}/$${package}"` ; \
		sed -e 's@\(\W*\)<CompilerOptions>.*@\1<AutoUpdate Value="Manually"/>\n&@' "$${package}" > "${LIB_DIR}/$${package}" ; \
	done
	# Install packages global links
	${CP} -t ${LIB_DIR}/packager $(CURDIR)/packager/globallinks
	# copy icons and menu entries for the GNOME menu
	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
	${MKDIR} $(INSTALL_DIR)/usr/share/applications
	# the following source file is not completely correct, it produces a
	# warning in imagemagick
	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
	# Install configuration files
	${MKDIR} $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
	# Install contributer list
	${MKDIR} ${DOC_DIR}/docs
	${CP} -t ${DOC_DIR}/docs \
		$(CURDIR)/docs/lazdoc.css \
		$(CURDIR)/docs/Contributors.txt \
		$(CURDIR)/docs/contributors.utf8 \
		$(CURDIR)/docs/acknowledgements.txt
	# Install lintian override files
	set -x -e ; cd debian/overrides ; for PACKAGE in * ; do \
	  if [ -d ../$${PACKAGE}${PACKAGESUFFIX} ] ; \
	  then \
	  	${MKDIR} ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides ; \
	    sed -e "s/$${PACKAGE}/&${PACKAGESUFFIX}/g" $${PACKAGE} > ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides/$${PACKAGE}${PACKAGESUFFIX} ; \
	  fi ; \
	done
ifeq (${DEB_BUILD},0)
	# We are building upstream debs, install override files for build = 0

## lazarus 1.6+dfsg

=== install/man/Makefile ===
##################################
# Man page installation for unix
#

PREFIX=/usr
GINSTALL=/usr/bin/install

INSTALL_MANDIR=$(PREFIX)/share/man/man1

SRC_FILES=$(wildcard man1/*.1)
COMPRESSED_FILES=$(SRC_FILES:.1=.1.gz)

$(INSTALL_MANDIR):
	$(GINSTALL) -d -m 755 $(INSTALL_MANDIR)

%.1.gz: %.1
	cat $< | gzip > $@

install: $(COMPRESSED_FILES) $(INSTALL_MANDIR)
	$(GINSTALL) -m 644 $(COMPRESSED_FILES) $(INSTALL_MANDIR)
	$(RM) $(COMPRESSED_FILES)

=== debian/changelog ===
lazarus (1.6+dfsg-5ubuntu2) zesty; urgency=medium

  * Fix build in Ubuntu, with NO_PKG_MANGLE
    thanks <cjwatson> for the fix!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Nov 2016 09:23:47 +0100

lazarus (1.6+dfsg-5) unstable; urgency=medium

  * d/rules+control: replace bu:version by Build-Using as Ubuntu fails to
    properly build otherwise
  * Prevent missing lpk files in components: temporary solution for
    #823706
  * Bump compat level to 10
  * Rearrange target dependencies and move dh_install to binary target to
    let --list-missing work better. Split install directories in d/rules
    for arch/indep to prevent double installation of files which would
    otherwise happen due to this rearrangement.
  * Simplify logic for lintian-overrides creation & installation
  * Add first debci test: build most *.lpk packages as shipped
  * Update d/copyright with a statement about the claimed license of
    limacho.pas

 -- Paul Gevers <elbrus@debian.org>  Fri, 11 Nov 2016 17:37:29 +0100

lazarus (1.6+dfsg-4) unstable; urgency=medium

  * Built-Using must mention a source package, not binary package
  * d/s/timestamps was not updated with the files from the typo fix cause
    lazarus to build non-reproducible

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Jun 2016 07:10:06 +0200

lazarus (1.6+dfsg-3) unstable; urgency=medium

  * Reorganize dependency tree (LP: #1584302)
  * Fix timestamp of patched file for reproducible builds
  * Track with which version of fpc lazarus was build as it is still
    linked statically
  * Bump Standards (no changes)
  * Fix typo in previous changelog
  * Drop Torsten Werner from uploaders: thanks for all the fish
  * Add lintian_detected_spelling_errors.patch

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Jun 2016 08:54:22 +0200

lazarus (1.6+dfsg-2) unstable; urgency=medium

  * Fixed a bug causing code help to handle only lower case file names.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 21 Mar 2016 09:57:15 +0100

lazarus (1.6+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release (named 1.6 iso upstream 1.6.0 to be in line with
    the release candidates)
  * Update Vcs-* fields to use https
  * Bump standards (no changes)

 -- Paul Gevers <elbrus@debian.org>  Tue, 01 Mar 2016 20:55:33 +0100

lazarus (1.6~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete fix_some_typos_found_by_lintian.patch, applied upstream

 -- Paul Gevers <elbrus@debian.org>  Wed, 27 Jan 2016 21:19:43 +0100

lazarus (1.6~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Update d/copyright
    - Refresh d/control
  * Enable '-z relro' again on arm* now that fpc is fixed, requires fpc >3
    (Closes: #798089)
  * Fix several minor issues reported by Lintian:
    - Typo in d/copyright
    - Add fix_some_typos_found_by_lintian.patch
    - Add add_sh-bang_to_sh_scripts.patch
    - Typo's in overrides

 -- Paul Gevers <elbrus@debian.org>  Mon, 11 Jan 2016 20:30:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,37 @@
 Source: lazarus
 Section: devel
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Uploaders: Torsten Werner <twerner@debian.org>,
-           Carlos Laviola <claviola@debian.org>,
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Uploaders: Carlos Laviola <claviola@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
-               fp-utils,
-               fpc,
-               fpc-source,
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10~),
+               fp-utils (>= 3.0.0+dfsg-5),
+               fpc (>= 3),
+               fpc-source (>= 3),
                imagemagick,
                libgtk2.0-dev,
                libqt4pas-dev,
                po-debconf,
                rdfind,
                symlinks
-Vcs-Git: git://anonscm.debian.org/pkg-pascal/lazarus.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/lazarus.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/lazarus.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-pascal/lazarus.git
 Homepage: http://www.lazarus.freepascal.org
 
-Package: lazarus-1.4.4
+Package: lazarus-1.6
 Architecture: all
-Depends: lazarus-doc-1.4.4 (>= ${source:Version}),
-         lazarus-ide-1.4.4 (>= ${source:Version}),
-         lazarus-src-1.4.4 (>= ${source:Version}),
+Depends: lazarus-doc-1.6 (>= ${source:Version}),
+         lazarus-ide (>= ${source:Version}),
+         lazarus-src-1.6 (>= ${source:Version}),
+         lcl-1.6 (>= ${source:Version}),
          ${misc:Depends}
 Recommends: fpc,
             fpc-source
 Suggests: fp-docs,
           fp-utils
 Provides: lazarus
-Breaks: lazarus (<< 0.9.28.2-13)
-Replaces: lazarus (<< 0.9.18.2-13)
 Description: IDE for Free Pascal - suite
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -55,13 +52,11 @@
  This metapackage pulls in all the packages needed to have a typical
  Lazarus installation.
 
-Package: lazarus-src-1.4.4
+Package: lazarus-src-1.6
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: lazarus-ide-1.4.4
+Suggests: lazarus-ide-1.6
 Provides: lazarus-src
-Breaks: lazarus-src (<< 0.9.28.2-13)
-Replaces: lazarus-src (<< 0.9.18.2-13)
 Description: IDE for Free Pascal - LCL source code
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -83,20 +78,16 @@
  the IDE code tool to work properly (retrieving declarations and navigating
  in code).
 
-Package: lazarus-ide-1.4.4
+Package: lazarus-ide-1.6
 Architecture: any
 Depends: fp-compiler,
-         lazarus-ide-gtk-1.4.4 | lazarus-ide-qt-1.4.4,
-         lazarus-src-1.4.4,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lcl-1.4.4
 Suggests: fp-utils
 Provides: lazarus-ide
-Breaks: lazarus-ide (<< 0.9.28.2-13)
-Replaces: lazarus-ide (<< 0.9.28.2-13)
+Built-Using: fpc (= ${Build-Using})
 Description: IDE for Free Pascal - common IDE files
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -116,22 +107,18 @@
  .
  This package contains the common files required to run Lazarus IDE.
 
-Package: lazarus-ide-gtk2-1.4.4
-Architecture: any
-Depends: lazarus-ide-1.4.4,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fpc,
-            gdb,
-            lcl-1.4.4
+Package: lazarus-ide-gtk2-1.6
+Architecture: any
+Depends: lazarus-ide-1.6,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gdb,
+            lcl-1.6
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-gtk-1.4.4,
+          lazarus-ide-gtk-1.6,
           lazarus-ide-gtk2
-Breaks: lazarus-ide (<< 0.9.28.2-13),
-        lazarus-ide-gtk2 (<< 0.9.28.2-13)
-Replaces: lazarus-ide (<< 0.9.28.2-13),
-          lazarus-ide-gtk2 (<< 0.9.28.2-13)
+Built-Using: fpc (= ${Build-Using})
 Description: IDE for Free Pascal - GTK+ version
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -151,22 +138,18 @@
  .
  This package contains the GTK+ version of the Lazarus IDE.
 
-Package: lazarus-ide-qt4-1.4.4
-Architecture: any
-Depends: lazarus-ide-1.4.4,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fpc,
-            gdb,
-            lcl-1.4.4
+Package: lazarus-ide-qt4-1.6
+Architecture: any
+Depends: lazarus-ide-1.6,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gdb,
+            lcl-1.6
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-qt-1.4.4,
+          lazarus-ide-qt-1.6,
           lazarus-ide-qt4
-Breaks: lazarus-ide (<< 0.9.28.2-13),
-        lazarus-ide-qt4(<< 0.9.28.2-13)
-Replaces: lazarus-ide (<< 0.9.28.2-13),
-          lazarus-ide-qt4 (<< 0.9.28.2-13)
+Built-Using: fpc (= ${Build-Using})
 Description: IDE for Free Pascal - Qt version
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -186,18 +169,17 @@
  .
  This package contains the Qt version of the Lazarus IDE.
 
-Package: lcl-1.4.4
-Architecture: any
-Depends: lcl-units-1.4.4,
-         lcl-utils-1.4.4,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fpc,
-            lazarus-ide-1.4.4
+Package: lcl-1.6
+Architecture: any
+Depends: lcl-units-1.6,
+         lcl-utils-1.6,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fpc,
+            lazarus-src-1.6,
 Suggests: gdb
 Provides: lcl
-Breaks: lcl (<< 0.9.28.2-13)
-Replaces: lcl (<< 0.9.28.2-13)
+Built-Using: fpc (= ${Build-Using})
 Description: Lazarus Components Library - LCL suite
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -217,16 +199,15 @@
  .
  This metapackage installs the full LCL and components.
 
-Package: lcl-utils-1.4.4
+Package: lcl-utils-1.6
 Architecture: any
 Depends: fp-compiler,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: lazarus-ide-1.4.4,
-            lcl-1.4.4
+Recommends: lazarus-ide-1.6,
+            lcl-1.6
 Provides: lcl-utils
-Breaks: lcl-utils (<< 0.9.28.2-13)
-Replaces: lcl-utils (<< 0.9.28.2-13)
+Built-Using: fpc (= ${Build-Using})
 Description: Lazarus Components Library - command line build tools
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -247,18 +228,16 @@
  This package contains command line tools to ease building LCL based
  applications.
 
-Package: lcl-units-1.4.4
-Architecture: any
-Depends: lcl-gtk2-1.4.4 (= ${binary:Version}) | lcl-qt4-1.4.4 (= ${binary:Version}),
+Package: lcl-units-1.6
+Architecture: any
+Depends: lcl-gtk2-1.6 (= ${binary:Version}) | lcl-qt4-1.6 (= ${binary:Version}),
          ${fpc-abi:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-1.4.4
 Suggests: gdb
 Provides: lcl-units
-Breaks: lcl-units (<< 0.9.28.2-13)
-Replaces: lcl-units (<< 0.9.28.2-13)
+Built-Using: fpc (= ${Build-Using})
 Description: Lazarus Components Library - backend independent components
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -278,7 +257,7 @@
  .
  This package contains common components of the LCL.
 
-Package: lcl-nogui-1.4.4
+Package: lcl-nogui-1.6
 Architecture: any
 Depends: fp-units-base,
          fp-units-fcl,
@@ -287,13 +266,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-1.4.4
+            lazarus-ide-1.6
 Suggests: gdb
 Provides: lcl-nogui
-Breaks: lcl-nogui (<< 0.9.28.2-13),
-        lcl-units-1.2 (<= 1.2~rc+dfsg-1)
-Replaces: lcl-nogui (<< 0.9.28.2-13),
-          lcl-units-1.2 (<=1.2~rc+dfsg-1)
+Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
+Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
+Built-Using: fpc (= ${Build-Using})
 Description: Lazarus Components Library - no GUI backend
  Lazarus is an IDE to create (graphical and console) applications with Free
  Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
@@ -305,3 +283,29 @@
  .
  Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
  strive for "write once, compile anywhere". Since the exact same compiler
+ is available on all of the above platforms you don't need to do any recoding
+ to produce identical products for different platforms.
+ .
+ In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
+ Component Library (LCL).
+ .
+ This package contains the part of the LCL for developing non-graphical
+ applications and command line tools.
+
+Package: lcl-gtk2-1.6
+Architecture: any
+Depends: fp-units-base,
+         fp-units-fcl,
+         fp-units-gtk2,
+         fp-units-rtl,
+         lcl-nogui-1.6,
+         ${fpc-abi:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gdb
+Provides: lcl-gtk,
+          lcl-gtk2
+Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
+Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
+Built-Using: fpc (= ${Build-Using})
+Description: Lazarus Components Library - GTK+ backend

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,13 @@
 # debian/rules for Lazarus
 
 DEB_PACKAGE_NAME = lazarus
+export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
+
+# Disable package mangling in Launchpad; it currently fails to parse
+# Built-Using, which results in build failures
+export NO_PKG_MANGLE=1
 
 # Documentation type to use chm/html
 ifeq (${DEBDOCTYPE},)
@@ -33,11 +38,13 @@
 export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
 endif
 # Get directories
-INSTALL_DIR=${CURDIR}/debian/tmp
-BIN_DIR=${INSTALL_DIR}/usr/bin
-LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
-DOC_DIR=${INSTALL_DIR}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
-SRC_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+INSTALL_DIR_ARCH=${CURDIR}/debian/tmp
+INSTALL_DIR_INDEP=${CURDIR}/debian/tmp2
+BIN_DIR=${INSTALL_DIR_ARCH}/usr/bin
+LIB_DIR=${INSTALL_DIR_ARCH}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+DOC_DIR=${INSTALL_DIR_INDEP}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+DOC_DIR_ARCH=${INSTALL_DIR_ARCH}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+SRC_DIR=${INSTALL_DIR_INDEP}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
 # Get utils
 ifndef MKDIR
 MKDIR=mkdir -p
@@ -60,7 +67,7 @@
 DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
 DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
 BUILDOPTS=USESVN2REVISIONINC=0 OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
-INSTALLOPTS=PREFIX=$(INSTALL_DIR)/usr
+INSTALLOPTS=PREFIX=$(INSTALL_DIR_ARCH)/usr
 endif
 ifndef LAZBUILD
 export LAZBUILD=${CURDIR}/lazbuild --lazarusdir=../..
@@ -69,14 +76,8 @@
 DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
-LDFLAGS=$(strip $(shell dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g'))
-
-# Temporarily disable '-z relro' for armel and armhf builds
-# to work around problem of builds stalling (bug #793991)
-DEB_HOST_ARCH ?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
-LDFLAGS:=$(shell echo $(LDFLAGS) | sed -e 's/-z relro//g')
-endif
+LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
+	dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g'))
 
 # Until we switch to shorthand dh, we need to set this ourselves for
 # reproducible builds
@@ -92,6 +93,8 @@
 	dh_clean
 	# Make sure the debconf translations are always up-to-date
 	debconf-updatepo
+	# Make sure the list with timestamps is up-to-date
+	[ ! $$(which fp-fix-timestamps) ] || fp-fix-timestamps update
 
 clean-patched: make-files
 	@echo "--- Cleaning"
@@ -135,6 +138,7 @@
 	# Add version.inc:
 	echo \'$(DEB_VERSION)\' > ide/version.inc
 	# For reproducible builds, we need the above file to have a fixed timestamp
+	# Not added to debian/source/timestamps to keep that auto-updateable for now.
 	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/version.inc
 
 	# The next line adds the revision.inc file which is missing in upstream sources
@@ -142,6 +146,11 @@
 	# http://svn.freepascal.org/cgi-bin/viewvc.cgi/tags/?root=lazarus
 	# But let's put something there describes better what the status is.
 	echo const RevisionStr = \'Debian package $(DEB_VERSION)\'\; > ide/revision.inc
+
+	# Now that we are done with all changes to files in the packaging, let's
+	# make sure that all the timestamps are reproducible.
+	fp-fix-timestamps touch
+
 	touch configure-stamp
 
 build-arch: debian-files configure build-arch-stamp
@@ -156,7 +165,7 @@
 	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
 	touch build-arch-stamp
 
-install-arch: build-arch install-arch-stamp
+install-arch: build-arch install-arch-stamp install-man
 install-arch-stamp:
 	@echo "--- Installing"
 	dh_testdir
@@ -193,30 +202,19 @@
 	# Install packages global links
 	${CP} -t ${LIB_DIR}/packager $(CURDIR)/packager/globallinks
 	# copy icons and menu entries for the GNOME menu
-	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
-	${MKDIR} $(INSTALL_DIR)/usr/share/applications
+	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/pixmaps
+	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/applications
 	# the following source file is not completely correct, it produces a
 	# warning in imagemagick
-	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
-	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
+	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR_ARCH)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
+	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
-	${MKDIR} $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
-	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
-	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
+	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
+	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
+	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
 	# Install contributer list
-	${MKDIR} ${DOC_DIR}/docs
-	${CP} -t ${DOC_DIR}/docs \
+	${MKDIR} ${DOC_DIR_ARCH}/docs
+	${CP} -t ${DOC_DIR_ARCH}/docs \
 		$(CURDIR)/docs/lazdoc.css \
 		$(CURDIR)/docs/Contributors.txt \
 		$(CURDIR)/docs/contributors.utf8 \
-		$(CURDIR)/docs/acknowledgements.txt
-	# Install lintian override files
-	set -x -e ; cd debian/overrides ; for PACKAGE in * ; do \
-	  if [ -d ../$${PACKAGE}${PACKAGESUFFIX} ] ; \
-	  then \
-	  	${MKDIR} ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides ; \
-	    sed -e "s/$${PACKAGE}/&${PACKAGESUFFIX}/g" $${PACKAGE} > ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides/$${PACKAGE}${PACKAGESUFFIX} ; \
-	  fi ; \
-	done
-ifeq (${DEB_BUILD},0)
-	# We are building upstream debs, install override files for build = 0

=== debian/tests/control ===
Tests: build-lpk-lpi
Depends: @

## lazarus 1.6.2+dfsg

=== debian/changelog ===
lazarus (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release
  * Change package suffix logic to contain the major.minor part of the
    version number only as upstream calls this a bugfix release
  * Update d/copyright with upstream information of icons
  * Mark lazarus-doc-* and lazarus-src-* as Multi-Arch: foreign as
    suggested by the hinter
  * Refresh lintian_detected_spelling_errors.patch (partially applied
    upstream)
  * Drop Carlos Laviola from uploaders: thanks for all the fish

 -- Paul Gevers <elbrus@debian.org>  Fri, 02 Dec 2016 08:40:55 +0100

lazarus (1.6+dfsg-6) unstable; urgency=medium

  * Previous upload enabled bindnow for hardening (accidentilly not
    mentioned in this changelog).
  * Strip -specs=/usr/share/dpkg/*.specs from the LDFLAGS as fpc can't
    handle this as a linking option resulting in FTBFS on powerpc.
  * debci test was missing build-depends
  * Fix clean target as one can't add a directory to d/clean
  * Remove macho.pas entry from previous upload, it was already correctly
    mentioned

 -- Paul Gevers <elbrus@debian.org>  Mon, 14 Nov 2016 21:44:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Uploaders: Carlos Laviola <claviola@debian.org>,
+Uploaders:
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
 Standards-Version: 3.9.8
@@ -54,6 +54,7 @@
 
 Package: lazarus-src-1.6
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: lazarus-ide-1.6
 Provides: lazarus-src
@@ -309,3 +310,4 @@
 Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
 Built-Using: fpc (= ${Build-Using})
 Description: Lazarus Components Library - GTK+ backend
+ Lazarus is an IDE to create (graphical and console) applications with Free

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,6 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
-
-# Disable package mangling in Launchpad; it currently fails to parse
-# Built-Using, which results in build failures
-export NO_PKG_MANGLE=1
 
 # Documentation type to use chm/html
 ifeq (${DEBDOCTYPE},)
@@ -35,7 +31,7 @@
 DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
 DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
 ifndef PACKAGESUFFIX
-export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
+export PACKAGESUFFIX=-$(shell echo ${DEB_UPSTREAM_MAIN_VERSION} | sed -e 's/^\([0-9]*\.[0-9]*\).*/\1/')
 endif
 # Get directories
 INSTALL_DIR_ARCH=${CURDIR}/debian/tmp
@@ -77,7 +73,8 @@
 DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
 LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
-	dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g'))
+	dpkg-buildflags --get LDFLAGS | \
+	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))
 
 # Until we switch to shorthand dh, we need to set this ourselves for
 # reproducible builds
@@ -90,6 +87,7 @@
 #
 
 clean: clean-patched clean-make-files
+	$(RM) debian/tmp2
 	dh_clean
 	# Make sure the debconf translations are always up-to-date
 	debconf-updatepo
@@ -209,12 +207,13 @@
 	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR_ARCH)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
 	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
-	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
-	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
-	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
+	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}
+	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/environmentoptions.xml
+	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/helpoptions.xml
 	# Install contributer list
 	${MKDIR} ${DOC_DIR_ARCH}/docs
 	${CP} -t ${DOC_DIR_ARCH}/docs \
 		$(CURDIR)/docs/lazdoc.css \
 		$(CURDIR)/docs/Contributors.txt \
 		$(CURDIR)/docs/contributors.utf8 \
+		$(CURDIR)/docs/acknowledgements.txt

## lazarus 1.6.4+dfsg

=== debian/changelog ===
lazarus (1.6.4+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Apr 2017 06:19:10 +0200

lazarus (1.6.2+dfsg-2) unstable; urgency=medium

  * Add fix-fpdoc-crashes-on-lazarus-documentation.patch to prevent the
    lazarus-doc-1.6 package from being nearly empty (Closes: #858553)

 -- Paul Gevers <elbrus@debian.org>  Wed, 05 Apr 2017 20:46:22 +0200
